%{?optflags_lto:%global optflags_lto %optflags_lto -ffat-lto-objects}
Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires: libgsl-devel perl(getopts.pl)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           hmmer
Version:        3.1b2
Release:        alt2_17
Summary:        Profile HMM software for protein sequence analysis

License:        GPLv3
URL:            http://hmmer.janelia.org
Source0:        http://selab.janelia.org/software/hmmer3/3.1b2/hmmer-3.1b2.tar.gz
BuildRequires:  perl
Source44: import.info

%description
Profile hidden Markov models (profile HMMs) can be used to do sensitive
database searching using statistical descriptions of a sequence family's
consensus.  HMMER is a freely distributable implementation of profile HMM
software for protein sequence analysis.

%package devel
Group: Development/Other
Summary: Library and header files to include hmmer code in other apps
Provides: hmmer-static = %{version}-%{release}

%description devel

Header files and a library of hmmer functions, for developing apps
which will use the library.

%package doc
Group: Documentation
Summary: Documentation for hmmer
BuildArch: noarch

%description doc
This package includes documentation files for the hmmer software package.


%prep
%setup -q
# See if this helps building on power arch
sed -i '/impl_choice=vmx;;/d' configure


%build
%configure
%make_build


%check
make check


%install
make install DESTDIR=$RPM_BUILD_ROOT



%files
%doc --no-dereference LICENSE
%{_bindir}/*
%{_mandir}/man1/*


%files devel
%{_includedir}/*
%{_libdir}/*.a


%files doc
%doc COPYRIGHT README release-notes Userguide.pdf tutorial/


%changelog
* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 3.1b2-alt2_17
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 3.1b2-alt2_16
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 3.1b2-alt2_15
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 3.1b2-alt2_14
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 3.1b2-alt1_14
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 3.1b2-alt1_13
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 3.1b2-alt1_12
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 3.1b2-alt1_11
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 3.1b2-alt1_10
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 3.1b2-alt1_9
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 3.1b2-alt1_8
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 3.1b2-alt1_4
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_9
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_8
- update to new release by fcimport

* Tue Apr 02 2013 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_7
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_6
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_5
- initial fc import

